Package weka.classifiers.pmml.consumer

# Class Regression

java.lang.Object
weka.classifiers.Classifier
weka.classifiers.pmml.consumer.PMMLClassifier
weka.classifiers.pmml.consumer.Regression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `OptionHandler`, `PMMLModel`, `RevisionHandler`

public class Regression extends PMMLClassifier implements Serializable
Class implementing import of PMML Regression model. Can be used as a Weka classifier for prediction (buildClassifier() raises an Exception).

Version:
  $Revision: 6019 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Regression(Element model, Instances dataDictionary, MiningSchema miningSchema)`
Constructs a new PMML Regression.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`distributionForInstance(Instance inst)`
Classifies the given test instance.
`String`
`getRevision()`
Returns the revision string.
`String`
`toString()`
Return a textual description of this Regression model.

### Methods inherited from class weka.classifiers.pmml.consumer.PMMLClassifier

`buildClassifier, done, getCreatorApplication, getDataDictionary, getFieldsMappingString, getLog, getMiningSchema, getPMMLVersion, mapToMiningSchema, setCreatorApplication, setLog, setPMMLVersion`

### Methods inherited from class weka.classifiers.Classifier

`classifyInstance, debugTipText, forName, getCapabilities, getDebug, getOptions, listOptions, makeCopies, makeCopy, setDebug, setOptions`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Regression

public Regression(Element model, Instances dataDictionary, MiningSchema miningSchema) throws Exception
Constructs a new PMML Regression.

Parameters:
  `model` - the `Element` containing the regression model
  `dataDictionary` - the data dictionary as an Instances object
  `miningSchema` - the mining schema
Throws:
  `Exception` - if there is a problem constructing this Regression

## Method Details

### toString

public String toString()
Return a textual description of this Regression model.

Overrides:
  `toString` in class `Object`

### distributionForInstance

public double[] distributionForInstance(Instance inst) throws Exception
Classifies the given test instance. The instance has to belong to a dataset when it's being classified.

Overrides:
  `distributionForInstance` in class `Classifier`
Parameters:
  `inst` - the instance to be classified
Returns:
  the predicted most likely class for the instance or Instance.missingValue() if no prediction is made
Throws:
  `Exception` - if an error occurred during the prediction

### getRevision

public String getRevision()
Description copied from class: `Classifier`
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `Classifier`
Returns:
  the revision